## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesElementNamedNodeListCache Class Reference

`#include <XercesElementNamedNodeListCache.hpp>`

Inheritance diagram for XercesElementNamedNodeListCache

Collaboration diagram for XercesElementNamedNodeListCache:

List of all members.

## Public Methods

- XercesElementNamedNodeListCache ( const DOM_ElementType& theXercesElement, const XercesBridgeNavigator& theNavigator)
- virtual ~XercesElementNamedNodeListCache ()

## Protected Methods

- virtual DOM_NodeListType getXercesNodeList (const XalanDOMString& tagname) const
- virtual DOM_NodeListType getXercesNodeList ( const XalanDOMString& namespaceURI, const XalanDOMString& localName) const

## Constructor & Destructor Documentation

XercesElementNamedNodeListCache::XercesElementNamedNodeListCache ( | const DOM_ElementType & theXercesElement,
| const XercesBridgeNavigator & theNavigator )

virtual XercesElementNamedNodeListCache::~XercesElementNamedNodeListCache ( | )`[virtual]`

## Member Function Documentation

virtual DOM_NodeListType XercesElementNamedNodeListCache::getXercesNodeList ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[protected, virtual]`

Reimplemented from XercesNamedNodeListCache.

virtual DOM_NodeListType XercesElementNamedNodeListCache::getXercesNodeList ( | const XalanDOMString & tagname ) const`[protected, virtual]`

Reimplemented from XercesNamedNodeListCache.

The documentation for this class was generated from the following file:

- XercesElementNamedNodeListCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.